主流搜索引擎闯入Linux命令行世界
================================================================================
（LCTT译注：这里，我们姑且认为您身处能够访问Internet的地方！）

为什么会有人要从终端搜索互联网上的东西？我不清楚，这里头可能有许多的原因。但是，因为没人要求答案总比没人知道答案少令人失望一点。这里，列出了一些流行的搜索引擎的命令行工具，可以让你们通过Linux终端来访问它们。

### 1. Google ###

让我们从一个巨头开始吧：Bing！好吧，只是开个玩笑，事实上应该是Google。坦白讲，你根本不需要使用命令行工具来进行Google搜索。只需要简简单单的一个命令：

    $ xdg-open https://www.google.com/search?q="[query]"


它会打开网页浏览器，并转到合适的搜索页面。然而，如果你想要的是从终端窗口查看搜索结果，而不是打开什么网页浏览器，那么我推荐你使用[cli-google][1]。它是一个超级老古董了（最后一次更新是在2009年），但我喜欢它。这是一个简单而直接的应用，它会忠实地干好它应该干的事。

安装完cli-google后，你就可以开始用它来搜索了，它的输出是那样的五彩斑斓。你也可以调整搜索结果的数量和你想要的语言，你只需要在终端中敲入：

    $ google 

就可以看到所有的选项了。

![](https://farm6.staticflickr.com/5491/14330385480_91b0e138ee_z.jpg)

### 2. YouTube ###
关于Google，有太多的东西要放进列表来。我会尽量简明扼要，但绝不会放过该有的。对于许多人而言，YouTube是他们快速查找相关内容视频的首选。要在终端中完成此事，我则钟情于[mps-youtube][2]。这个软件可以让你在终端中搜索、下载视频，创建播放列表，以及查看关于视频的评论。安装完mps-youtube后，你可以使用下面的命令来启动：

    $ mpsyt 

然后，输入 h 来查看选项。要查看简明用法，你可以像下面这样：

    /[query] 

来搜索你想知道的一切，然后输入视频的编号来听听它的声音，或者输入：

    i [video-number]

来看看相关信息，也可以输入：

    d [video-number]

来下载它。如果你觉得光听还不过瘾，这里还有更好玩的：

    set player mplayer
    set show_video True 

现在，你可以在另外一个窗口里头用mplayer来播放视频了。

![](https://farm3.staticflickr.com/2925/14517040865_1d54ccce3b_z.jpg)

### 3. 维基百科 ###
与Google一样，对于维基百科，我也喜欢一个古老的脚本，它干的不赖：[cliWiki][3]。安装完后，赶紧运行一下看看：

    $ cliwiki 

然后，你就可以输入你想要搜索的内容了。如果有直接匹配的条目，终端中就会显示相关页面了。哈，输出内容可真够长的，建议你还是用less命令来看吧。当然，这不是最高效的方法，但你的母的只是想要查看与关键词相关的文本，那这就是你想要的。

![](https://farm3.staticflickr.com/2903/14330600657_065d26cdf2_z.jpg)

### 4. 海盗湾 ###
现在，让我们聊聊龌龊的东西。网上有很多意想不到的（也许你不觉得）工具，可以帮助你在命令行下查找海盗湾上的种子。而在这其中，[pirate-get][4]是我的最爱。它里面蕴藏了大量的选项，你可以通过下面的命令来发现它们：

    $ pirate-get -h

但是还是简单一些吧：

    $ pirate-get --color -c [category] [query]

以上命令会返回与查询内容相关的特定搜索类目中的结果，输出结果也是彩色的！那里头，程序会提示你输入你想要的结果的编号，输入后就可以从磁链上下载种子了。简单又容易，仅限于没有版权的资料哦！

![](https://farm4.staticflickr.com/3923/14330448479_ae503561e6_z.jpg)

### 5. Twitter ###
Twitter是迎合潮流的一个很好的搜索引擎。我们已经在[如何在命令行中访问Twitter][5]一文中介绍了它的用法，但是我个人更喜欢[TTYtter][6]。该工具及其强大，它应该有它自身的一席之地，而不再仅仅用于简单搜索了。但在这里，我只想把它当作搜索引擎使用。安装并配置完后，你就可以登陆进去，并使用下面的命令来搜索了：

    /search [query] 

界面在视觉上有点粗糙，但是你很快会习惯的。注意，这里头只能用普通的文字，也可以用哈希标记。

![](https://farm6.staticflickr.com/5077/14537153013_cc32a98b08_z.jpg)

最后来小结一下吧，这里列出了我认为人们使用最多5大搜索引擎，这些搜索引擎都可以通过命令行来访问。这里Google图像和Google地图可能缺席了，但我想这些可能不能很好适应控制台环境吧。我也想要寻找一个音乐搜索引擎，但是没有找到对于本列表“有价值的”。就像你可能已经注意到的那样，列表中的工具在功能和选项上是良莠不齐的：其中一些很简单，而另外一些则功能很复杂。但不管怎么说，最后它们都还是完成了它们的任务。

列表中错失了哪些搜索引擎？你还知道哪些没有提到过的工具呢？请在文章评论中告诉我们吧。

----------

#### Adrien Brochard ####

我是一位来自法国的Linux爱好者。在尝试了多个发行版后，我最后认可了Archlinux。然而，我一直在试着通过积累一些知识和技巧来改善我的系统。

--------------------------------------------------------------------------------

via: http://xmodulo.com/2014/06/access-popular-search-engines-command-line-linux.html

译者：[GOLinux](https://github.com/GOLinux) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:https://github.com/henux/cli-google
[2]:https://github.com/np1/mps-youtube
[3]:https://github.com/AnirudhBhat/cliWiki.py
[4]:https://github.com/vikstrous/pirate-get
[5]:http://xmodulo.com/2013/12/access-twitter-command-line-linux.html
[6]:http://www.floodgap.com/software/ttytter/
