Exaile 3.4.1 Overview – A Feature-Complete GNOME Music Player
================================================================================
**Exaile** has been a bit quiet in the past two years with maybe only one or two stable releases, but nevertheless, it’s one of the full-featured music players for GNOME which are on par with applications like [Rhythmbox][1] or [Banshee][2] in terms of features. However, over the past two months a new stable release, 3.4, has been put out under the slogan “We’re not dead yet”, as well as an incremental 3.4.1 release, which shipped on November 1. To be honest, Exaile has so many features that I could go on writing a lot more than an article to cover them all, so let’s have a look at some of the most notable ones.

![](http://www.tuxarena.com/wp-content/uploads/2014/11/exaile02.jpg)

[Exaile][3] is a GTK2-based music player written in Python which fits well into GNOME, has an interface which pretty much resembles the one of the old Amarok 1.4 or actual Clementine, and ships with some great features. The interface is composed mainly of two panels, both with support for tabs. The left panel provides access to the collection, Internet radio, smart and custom playlists, file browser, podcasts, Group Tagger and lyrics while the main area of the window is taken by the playlists (with multiple, tabbed playlist support) and control buttons.

Exaile’s interface is very similar to the one of Clementine or Amarok 1.4 and the tabs on the left can be shown or hidden:

![](http://www.tuxarena.com/wp-content/uploads/2014/11/exaile04.jpg)

Version 3.4 shipped with a big number of major new features and changes while 3.4.1 was a small bug fix release. The major new features in 3.4 include new plugins like Icecast, Lyricsmania, Playlist Analyzer, Soma.fm, a new, simpler plugin API. Changes were done to the user interface and the general behavior as well, with the possibility to show playlists in multiple panels, close left panels, better BPM UI integration.

The first time it starts you can add music folders to the collection – you can also choose to add directories and enable or disable monitoring or scanning them at start-up:

![](http://www.tuxarena.com/wp-content/uploads/2014/11/exaile01.jpg)

Exaile’s features are practically countless. You can organize your music in a collection, listen to podcasts, set song ratings, edit tags, view file properties, queue tracks, view lyrics and covers, sort the playlist by a huge number of criteria, change playback behavior or appearance style.

Equalizer, cover manager and listening to Internet radio:

![](http://www.tuxarena.com/wp-content/uploads/2014/11/exaile05.jpg)

Local album covers are detected automatically and can be shown in full size, with the possibility to zoom in or out:

![](http://www.tuxarena.com/wp-content/uploads/2014/11/exaile03.jpg)

The preferences window allows to configure various aspects of Exaile, including enable or disable plugins, appearance, system tray integration, or playback. The appearance settings will allow you to change the tabs placement, show/hide the tab bar, enable or disable transparency, or disable the start-up splash screen.

![](http://www.tuxarena.com/wp-content/uploads/2014/11/exaile_preferences_01.jpg)

![](http://www.tuxarena.com/wp-content/uploads/2014/11/exaile_preferences_02.jpg)

The system tray integration offers a menu to quickly play/pause songs, set a song rating or change the way the playlist handles playback (shuffle, repeat or dynamic).

![](http://www.tuxarena.com/wp-content/uploads/2014/11/exaile_tray.jpg)

![](http://www.tuxarena.com/wp-content/uploads/2014/11/exaile_tray.jpg)

The countless features in Exaile I believe make it the perfect choice as a music player, especially for GNOME users. Any user should be satisfied with the wealth of options and the highly configurable approach.

### Install Exaile 3.4.1 in Ubuntu 14.04 and 14.10 ###

Compiling and installing from source should be pretty straightforward. First, get the dependencies:

    sudo apt-get build-dep exaile
    sudo apt-get install python-gst0.10 

Download the source tarball from the [downloads page][4] (direct link [here][5]), then uncompress it:

    tar -xf exaile-3.4.1.tar.gz

Change the working directory to exaile-3.4.1 and issue the following commands:

    make
    sudo make install

The binary will be installed as **/usr/local/bin/exaile**.

--------------------------------------------------------------------------------

via: http://www.tuxarena.com/2014/11/exaile-3-4-1-overview-a-feature-complete-gnome-music-player/

作者：Craciun Dan
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:https://wiki.gnome.org/Apps/Rhythmbox
[2]:http://banshee.fm/
[3]:http://www.exaile.org/
[4]:http://www.exaile.org/download/
[5]:https://github.com/exaile-dev/exaile/archive/3.4.1.tar.gz