11 Useful Utilities To Supercharge Your Ubuntu Experience
================================================================================
**Whether you’re a relative novice or a seasoned pro, we all want to get the most from our operating system. Ubuntu, like most modern OSes, has more to offer than what is presented at first blush.**

From tweaking and refining the look, behaviour and performance of the Unity desktop to performing system maintenance, there are a huge array of useful utilities and apps that can help **tune Ubuntu to meet your needs in no time**.

Caveat time: Ubuntu has always shipped with ‘sane defaults’ — options that just work — out of the box. These defaults are well suited for the majority of people. They’re tested, accepted and recommended.

But one size doesn’t fit all. For the tinkerers and experimenters among us the default experience is a starting point from which to tailor.

So, without any more waffle, here is a set of 11 nifty utilities to help you supercharge your Ubuntu experience.

### Unity Tweak Tool ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/11/unity-tweak-tool.jpg)

I’ll kick off this list with the big one: **Unity Tweak** Tool. The kitchen sink of customisation, Unity Tweak Tool offers a comprehensive set of system tweaks tuned for Ubuntu and the Unity desktop.

It’s stuffed full of switches, toggles and control, letting you configure everything from the way Unity looks to the way it behaves. Use it to **quickly and easily change the GTK theme and icon set**, set up hot corners, adjust launcher size, add or remove workspaces, and — notably —  enable Unity’s elusive ‘minimise on click’ feature.

Free and readily available from the Software Center, Unity Tweak Tool is one well worth keeping in your back pocket.

### Unity Privacy Indicator ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/11/indicator-privacy-in-ubuntu.jpg)

Privacy. A big, big issue and rightly so. But the topic is often shaded rather than binary; you may be happy to let some data or habits, say apps you frequently open, be logged locally, but not be ok with the searches you make in the Dash being ferried to a third-party server (however anonymous that data may be).

[Privacy Indicator][1] is a useful tool to help you stay abreast of what files, folders and services are being accessed, logged and recce’d on the Ubuntu desktop.

With a quick click on the ‘eye’ icon added to the desktop panel you can:

- Toggle Online Search Results, Zeitgeist, HUD Logging & GeoIP
- Quick access to clean Zeitgeist, F2, Recent Files, etc.
- Options to show/hide desktop icons and name in the panel

The latter two options may seem a little misplaced in this app but have less obvious privacy implications for those who take screenshots or screen share.

- [Download Indicator Privacy (.deb)][2]

### Unity Folders ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/09/unity-folders.jpg)

**Android, iOS, OS X, Chrome OS, and GNOME Shell have app folders, and so can Unity with a nifty third-party app. **

“Unity Folders” allows you to organise apps on the Unity Launcher into handy folders — think ‘games’, ‘office’, ‘social‘, etc. You get quick access to your favourite apps without needing to open the Dash, which may suit your workflow.

Each ‘folder’ is, actually, an application that opens up and positions itself near the origin point. But the overall effect is one that looks like an OS X style stack or an Android folder popover.

Folder icons can be customised or auto-generated based on the applications tucked up inside. Existing folders can be edited, rearranged, rename and re-other stuff, too.

- Create as many folders as you like
- Choose custom or auto-generated folder icon
- 3 folder layouts to choose from
- Set custom icons for apps added to folders
- Edit existing folders

- Unity Folders Website

### Caffeine ###

A staple for many of us, and not just in our drinks, Caffeine offers a fast, silent way to stop your screensaver or lock-screen kicking in. The degree of usefulness will depend on your circumstances (read: quirks of your system), and though it’s not quite as user friendly as it once was, it’s still worth [checking out][3].

### System Monitor Indicator ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/11/multiload-indicator-in-ubuntu.jpg)

If you’re a stat hound who likes to keep tabs on apps, processes and hardware status, Linux makes it easy. From Conky Configs to Terminal Commands — there’s no shortage of ways to monitor your CPU usage, network traffic or GPU temperature.

But by far my favourite is System **Monitor Indicator** – also known as indicator-multiload — available from the Ubuntu Software Center. It has a host of configuration options, too.

- [Click to Install ‘System Load Indicator’ on Ubuntu][4]

### Power Saving Tools for Linux Laptops ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2012/08/front.jpg)

**TLP**

Linux distributions don’t have the best reputation when it comes to power efficiency on portable devices.

If your own Linux laptop can barely get you from the sofa to the kitchen before needing a recharge, there are some tools you can try.

TLP is one of the most popular automated background tool promising to prolong battery life of laptops running Linux. It does this by adjusting the settings and behaviour of system processes and hardware, such as enabling Wi-Fi power saving mode, runtime power management of PCI bus devices, and processor frequency scaling.

It’s available to [install on Ubuntu 14.04 LTS and later using the dedicated TLP PPA][5] and comes with a ‘catch-all’ config to get you started. The more advanced users among you can dive in and manually adjust the settings to suit your own hardware, something that a [thorough guide on the TLP wiki][6] makes easy.

**Laptop Mode Tools**

If TLP sounds a little too complex — and there’s no shame if it does — there’s a simpler alternative: **Laptop Mode Tools**. This package is available to install from the Ubuntu Software Center and keeps the tweaks made to a set of sane defaults (Wi-Fi, Bluetooth, etc.).

Laptop Mode Tools cannot be installed at the same time as TLP.

- [Laptop Mode Tools in Ubuntu Software Center][7]

### Intel Graphics Installer ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2013/04/intelgraphicsdriverinstaller.png)

The Intel Graphics Installer tool is a must-have for those running Intel graphics hardware who want the best performance they can get. It makes finding and installing the latest Intel GPU drivers a painless, fuss-free affair — no PPAs or Terminal kung foo needed.

- [Download Intel Graphics Installer for Linux 0.7][8]

### Hardware Stats ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/02/Screen-Shot-2014-02-10-at-21.05.37.png)

If you plan on upgrading your PC or replacing a worn-out part you’ll need to get some specific hardware details, such as RAM type, CPU socket set or what PCI slots are available.

**I-Nex** makes unearthing this, and host of other detailed system stats, easy.  Use it to find your motherboard model number, RAM stepping, S.M.A.R.T. status and…well, pretty much anything else you can think of!

- [Learn More About I-Nex on Launchpad][9]

### Disk Space Visualizer ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/11/disk-usage-visualizer-for-ubuntu.jpg)

In this age of 1TB hard drives we might not need to be as prudent with disk space as we once were. But for those of using a smallish SSD, running multiple partitions or working in a virtual machine with a fixed-size virtual disk, there’ll be times when freeing up a bit of extra space is required.

GNOME Disks, installed in Ubuntu by default, makes finding the biggest space-gobbling culprits easy. Ideal for locating hidden logs, caches, and media files.

### BleachBit (Cruft Cleaner) ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/11/bleachbit.jpg)

Windows users will be familiar with applications like CCleaner, which scan for and clean out junk files, empty folders, bloated caches, and obsolete packages. For a a similarly quick and effortless click n’ clean solution on Ubuntu try **BleachBit**.

It is a powerful tool, so do pay attention to what you’re cleaning. Don’t aimlessly check every box; not everything that it can clean needs to be. Play it smart; when in doubt, leave it out.

- [Install BleachBit from Ubuntu Software Center][10]

Got a favourite system utility of your own? Let others know about it in the comments. 
--------------------------------------------------------------------------------

via: http://www.omgubuntu.co.uk/2014/11/useful-tools-for-ubuntu-do-you-use-them

作者：[Joey-Elijah Sneddon][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:https://plus.google.com/117485690627814051450/?rel=author
[1]:http://www.florian-diesch.de/software/indicator-privacy/index.html
[2]:http://www.florian-diesch.de/software/indicator-privacy/dist/indicator-privacy_0.04-1_all.deb
[3]:http://www.omgubuntu.co.uk/2014/05/stop-ubuntu-sleeping-caffeine
[4]:apt://indicator-mulitload
[5]:https://launchpad.net/~linrunner/+archive/ubuntu/tlp/+packages
[6]:http://linrunner.de/en/tlp/docs/tlp-configuration.html
[7]:https://apps.ubuntu.com/cat/applications/laptop-mode-tools/
[8]:https://01.org/linuxgraphics/downloads/2014/intelr-graphics-installer-linux-1.0.7
[9]:https://launchpad.net/i-nex
[10]:https://apps.ubuntu.com/cat/applications/bleachbit/
