Intense Gameplay? Try these 13 Roguelike games
================================================================================
Roguelike is a sub-genre of role-playing games. It literally means "a game like Rogue". Rogue is a dungeon crawling video game first released in 1980, standing out for being fiendishly addictive. Its goal was to retrieve the Amulet of Yendor, hidden deep in the 26th level, and ascend back to the top.

There is no exact definition of a roguelike, but this type of game typically has the following characteristics:

- High fantasy narrative background
- Procedural level generation. Most of the game world is generated by the game for every new gameplay session. This is meant to encourage replayability
- Turn-based dungeon exploration and combat
- Tile-based graphics that are randomly generated
- Random conflict outcomes
- Permanent death death works realistically, once you're gone, you're gone
- High difficulty

This article compiles a good selection of roguelike games available for Linux. If you enjoy intense, addictive gameplay, try these 13 games. Don't be put off by the primitive graphics, you'll soon forget the visuals once you get immersed. All of them are available to download without charge, and almost all are released under an open source license.

----------

![](http://www.linuxlinks.com/portal/content2/png/DungeonCrawlStoneSoup.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-Dungeon1.png)

Dungeon Crawl Stone Soup is an open-source, single-player, role-playing roguelike game of exploration and treasure-hunting in dungeons filled with dangerous and unfriendly monsters in a quest to rescue the mystifyingly fabulous Orb of Zot.

Dungeon Crawl Stone Soup is a ﻿continuation of Linley's Dungeon Crawl. It is openly developed and invites participation from the Crawl community.

Dungeon Crawl has superb, deep tactical gameplay, innovative magic and religion systems, and a grand variety of monsters to fight. Crawl is also one of the hardest roguelikes to beat. When you finally beat the game and write your victory post on rec.games.roguelike.misc, you know you have achieved something.

Features include:

- Well-rounded, deep tactically rich roguelike
- Hand-drawn maps
- Numerous portal vaults
- Slick interface
- Innovative magic and religion systems
- Wide range of Gods, Characters, Items, and Smart Monsters

- Website: [crawl.develz.org][1]
- Developer: Stone Soup devteam
- License: Crawl General Public License
- Version Number: 0.15.2

----------

![](http://www.linuxlinks.com/portal/content2/png/DwarfFortress.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-DwarfFortress.png)

Dwarf Fortress is a single-player fantasy game, similar to NetHack. You can control a dwarven outpost or an adventurer in a randomly generated, persistent world.

The game features three modes of play (Dwarf Fortress, Adventurer and Legends modes), a distinct, randomly-generated world (complete with terrain, wildlife and legends), gruesome combat mechanics and vicious schools of carp.

Features include: 


- The world persists as long as you like, over many games, recording historical events and tracking changes
- Command your dwarves as they search for wealth in the mountain
	- Craft treasures and furniture from many materials and improve these objects with precious metals, jewels and more
	- Defend yourself against attacks from hostile civilizations, the wilderness and the depths
	- Support the nobility as they make demands of your populace
	- Keep your dwarves happy and read their thoughts as they work and relax
	- Z coordinate allows you to dig out fortresses with multiple levels. Build towers or conquer the depths
	- Build floodgates to divert water for farming or to drown your adversaries
- Play an adventurer and explore, quest for glory or seek vengeance
	- Meet adversaries from previous games
	- Recruit people in towns to come with you on your journey
	- Explore without cumbersome plot restrictions
	- Seamlessly wander the world -up to 197376 x 197376 squares total -or travel more rapidly on the region map
	- Accept quests from the town and civilization leaders
	- Retire and meet your old characters. Bring them along on an adventure with a new character or reactivate them and play directly
	- Z coordinate allows you to move seamlessly between dungeon levels and scale structures fighting adversaries above and below
- The combat model uses skills, body parts, wrestling, charging and dodging between squares, bleeding, pain, nausea, and much more
- A dynamic weather model tracks wind, humidity and air masses to create fronts, clouds, rain storms and blizzards
- Over two hundred rock and mineral types are incorporated into the world, placed in their proper geological environments
- Add new creatures, weapons, plants, metals and other objects via modifiable text files
- Extended ASCII character set rendered in 16 colors (including black) as well as 8 background colors (including black)

- Website: [www.bay12games.com/dwarves/][2]
- Developer: Tarn Adams
- License: Freeware
- Version Number: 0.40.19

----------

![](http://www.linuxlinks.com/portal/content2/png/ADOM.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-ADOM.png)

Ancient Domains of Mystery (ADOM) is a rogue-like game which has been in development since 1994.

It is a single-user game featuring the exploration of a dungeon complex. You control a fictional character described by race, class, attributes, skills, and equipment. This fictional character is trying to achieve a specific goal (see below) and succeed in a difficult quest. To fulfill the quest, you have to explore previously undiscovered tunnels and dungeons, fight hideous monsters, uncover long forgotten secrets, and find treasures of all kind.

During the game, you explore dungeon levels which are randomly generated each game. You might also encounter certain special levels, which present a particular challenge or are built around a certain theme.

Features include: 

- Huge game world with hundreds of locations such as towns, randomized dungeons, elemental temples, graveyards, ancient ruins, towers and other secrets
- Loads of races (dwarves, drakelings, mist elves, hurthlings, orcs, trolls, ratlings and many others) and even more classes (fighters, elementalists, assassins, chaos knights, duelists and much more) allowing for infinite play styles
- Hundreds of monsters and items, many with enhanced random features
- A corruption system forcing you to balance lust for power with fear of damnation
- Spells, prayers, mindcraft, alchemy, crafting and more
- Dozens of quests and branching story lines
- Numerous wildly different endings that might alter reality itself

- Website: [www.adom.de][3]
- Developer: Thomas Biskup
- License: Postcardware
- Version Number: 1.20 Prelease 20

----------

![](http://www.linuxlinks.com/portal/content2/png/ToME.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-ToME.png)

Tales of Maj’Eyal (ToME) is a free, open source roguelike RPG, featuring tactical turn-based combat and advanced character building. It is written as a module that runs in T-Engine 4.0.

This is the Age of Ascendancy, after over ten thousand years of strife, pain and chaos the known world is at last at relative peace. The Spellblaze last effects are now tamed, the land slowly heals itself and the civilisations rebuild themselves after the Age of Pyre.

Features include: 

- Suitable for gamers without any rogueline experience
- Supports both graphical tiles and ASCII mode
- Over 40 abilities available on some characters
- Talent system
- Combat engine
- Online persistent stat/achievement tracking
- IRC chat client
- Expandable and moddable
- Atmospheric music
- Unlock new races, classes, starting points, playmodes and features

- Website: [te4.org][4]
- Developer: ToME Development Team
- License: GNU GPL v3.0
- Version Number: 1.2.5

----------

![](http://www.linuxlinks.com/portal/content2/png/CataclysmDarkDaysAhead1.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-Cataclysm.png)

Cataclysm is an open source post-apocalyptic roguelike, set in the countryside of fictional New England after a devastating plague of monsters and zombies. It is a continuation of Whale's original Cataclysm, which expands it with numerous new creatures, buildings, gameplay mechanics and many other features.

While some have described it as a "zombie game", there's far more to Cataclysm than that. Struggle to survive in a harsh, persistent, procedurally generated world. Scavenge the remnants of a dead civilization for for food, equipment, or, if you're lucky, a vehicle with a full tank of gas to get you the hell out of Dodge. Fight to defeat or escape from a wide variety of powerful monstrosities, from zombies to giant insects to killer robots and things far stranger and deadlier, and against the others like yourself, that want what you have...

Cataclysm is very different from most roguelikes in many ways. Rather than being set in a vertical, linear dungeon, it is set in an unbounded, 3D world. This means that exploration plays a much bigger role than in most roguelikes, and the game is much less linear. As the map is so huge, it is actually completely persistant between games. If you die, and start a new character, your new game will be set in the same game world as your last. Like in many roguelikes, you will be able to loot the dead bodies of previous characters; unlike most roguelikes, you will also be able to retrace their steps completely, and any dramatic changes made to the world will persist into your next game.

Features include: 


- Detailed character creation, with a plethora of traits to choose
- Defense mode, a coffeebreak mode with fast-paced combat
- Bionics; Similar to the magic system in many games
- Mutations, both positive and negative
- Unbounded, fully randomized world map that is persistent between characters
- Item crafting
	- New recipes may be acquired by honing your knowledge through practice or learning from books
- Realistic fire, smoke, and other dynamic map effects
- A day/night cycle with the need to sleep. Use caffeine to stay awake longer if you must but be aware this is not healthy
- Over 300 item types, including a multitude of real-world guns, drugs, and tools
	- Many drugs are addictive, and will require continuous use to avoid withdrawal effects.
- Ability to board doors and windows, construct traps and fortify your home base to prevent a rude awakening by a zombie
- Ability to construct your own wooden constructions, including walls and a roof
- Ability to drive around in vehicles found in the post-apocalyptic landscape
	- These can be modified to your needs, or you could even build one from scratch
- A temperature system, being too cold or too hot is quite hazardous
- Preliminary tile support
- WorldGen options, and versatile editing methods
- 
- Website: [en.cataclysmdda.com][5]
- Authors: Kevin Granade and others
- License: Creative Commons Attribution-ShareAlike 3.0 Unported License
- Version Number: 0.B

----------

![](http://www.linuxlinks.com/portal/content2/png/GoblinHack1.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-GoblinHack.png)

Goblin Hack is an open source roguelike OpenGL-based smooth-scrolling ASCII graphics game. The game is inspired by the likes of NetHack, but faster with fewer keys.

Goblin Hack has a simple interface that appears to appeal to players of all ages, and fires their imagination in today's world of over-rendered games.

Players can choose one of several classes before being thrown into the first floor of a randomized, ongoing dungeon.

Features include: 

- Impressive graphics (compared with many other roguelike games)
- Simple interface
- Choose one of several classes before being thrown into the first floor of a randomized, ongoing dungeon
- Manually save the game

- Website: [goblinhack.sourceforge.net][6], [github.com/goblinhack/goblinhack][7]
- Authors: Neil McGill
- License: GNU GPL v2
- Version Number: 1.19

----------

![](http://www.linuxlinks.com/portal/content2/png/SLASH%27EM.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-SlashEM.png)

Super Lotsa Added Stuff Hack - Extended Magic (SLASH'EM) is a role-playing game where you control a single character. SLASH'EM is a variant of NetHack. It also has an interface and gameplay similar to Rogue, ADOM, Anghand and NetHack. You control the actions through the keyboard and view the world from an overhead perspective.

The problem: The Amulet of Yendor has been stolen. Not only that but it appears that the Wizard of Yendor (not a nice person), who took the amulet, is hiding in the Dungeons of Doom (not a friendly place).

Features include: 

- Offers extra features, monsters, and items
- Novel features inlude the Monk class and Sokoban levels
- The main dungeon is much larger than in NetHack

- Website: [www.slashem.org][8]
- Developer: The Slash'EM development team
- License: MIT License, NetHack General Public License
- Version Number: 0.0.7E7F3

----------

![](http://www.linuxlinks.com/portal/content2/png/NetHack.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-NetHack.jpg)

NetHack is a wonderfully silly, yet quite addictive Dungeons and Dragons-style adventure game. The "net" element references that its development has been coordinated through the Internet. The "hack" element refers to a genre of role-playing games known as hack and slash for their focus on combat.

In NetHack you play the part of a fierce fighter, wizard, or any of many other classes, fighting your way down to retrieve the Amulet of Yendor (try saying THAT one backwards!) for your god. On the way, you might encounter a quantum mechanic or two, or perhaps a microscopic space fleet, or -- if you're REALLY lucky -- the Ravenous Bugblatter Beast of Traal.

Features include: 

- 45-50 levels, most of which are randomly generated
- Variety of items: weapons, armour, scrolls, potions, rings, gems, and an assortment of tools such as keys and lamps
- Blessings and curses
- Permadeath: expired characters cannot be revived without having made backup copies of the actual save files
- Interfaces:
	- Console
	- Graphical, using X, Qt toolkit or GNOME libraries

- Website: [www.nethack.org][9]
- Developer: The NetHack DevTeam
- License: NetHack General Public License
- Version Number: 3.4.3

----------

![](http://www.linuxlinks.com/portal/content2/png/AsciiSector.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-AsciiSector.png)

Ascii Sector is a free space combat/exploration/trading game which is based on the classic computer game Wing Commander: Privateer released by Origin Systems in 1993.

In Ascii Sector, you start with a simple spaceship and can then accept missions or trade goods to earn enough money to upgrade your ship or buy a new one. You can engage in deadly fights both in space, on the ground and on board spaceships, and using the Ascii Sector scripting language, you can create your own quests for the game or have fun with other players' quests. 

Features include: 

- Uses the ANSI character set for the graphics
- Real depth to the gameplay
- Offers a wide variety of bases, missions, commodities and ships
- Ships include: Broadsword, Centurion, Demon, Dralthi, Drayman, Galaxy, Gladius, Gothri, Kamekh, Nexus, Orion, Paradign, Stileto, Talon, Tarsus, and Ulysses
- Four quadrants: Alizarin, Crimson, Mauve, and Viridian
- Downloadable quests
- Scripting of quests
- Ascii Sector quest language, create your own stories in the Ascii Sector universe
- NPCs on planets can be attacked and robbed
- Persistent fleets that can move around, change control of systems, engage enemy fleets, head back for repairs and rebuilds
- Ships whose systems have been disabled can be boarded
- Download high quality music files

- Website: [www.asciisector.net][10]
- Developer: Christian Knudsen
- License: Freeware
- Version Number: 0.7.1.4

----------

![](http://www.linuxlinks.com/portal/content2/png/Angband.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-Angband.png)

Angband is a free, single-player graphical dungeon exploration game that uses ASCII characters where you take the role of an adventurer, exploring a deep dungeon, fighting monsters, and acquiring the best weaponry you can, in preparation for a final battle with Morgoth, the Lord of Darkness. It has been in development since the 1990s.

Angband is along the lines of Rogue and NetHack. It is derived from the games Moria and Umoria, which were in turn based on Rogue. It is often described as a "roguelike" game because the look and feel of the game is still quite similar to Rogue. Many of these new creatures and objects are drawn from the writings of J.R.R Tolkien, although some of the monsters come straight from classical mythology, Dungeons & Dragons, Rolemaster, or the minds of the orginal Angband coders.

Features include: 

- 100 level dungeon
- New levels are randomly generated
- Choose to be a human, half-elf, elf, hobbit, gnome, dwarf, half-orc, half-troll, dunadan, high-elf, or kobold
- Artifacts
- Spellcasting
- Monsters
- Monster pits
- Monster nests

- Website: [rephial.org][11]
- Developer: Angband Development Team
- License: GNU GPL v2
- Version Number: 3.5.0

----------

![](http://www.linuxlinks.com/portal/content2/png/UnNetHack1.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-UnNetHack.png)

UnNetHack is a fork of NetHack. NetHack was first released in 1987, and is considered by many gamers to be one of the best gaming experiences the computing world offers.

Features include: 


- Adds a number of enhancements to NetHack such as additional monsters, more levels, a few new objects, additional dangers, more challenging gameplay, and most importantly more entertainment than vanilla NetHack
- Tutorial to help new players get started

- Website: [sourceforge.net/apps/trac/unnethack][12]
- Authors: Patric Mueller
- License: Nethack General Public License
- Version Number: 5.1.0

----------

![](http://www.linuxlinks.com/portal/content2/png/HydraSlayer.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-HydraSlayer.png)

Hydra Slayer is an open source Roguelike game focused on slaying Hydras. It is inspired by Greek mythology, Dungeon Crawl, MathRL seven day roguelike, and some mathematical puzzles about brave heroes slaying many headed beasts. 

Features include: 

- Unique gameplay mechanics
- A theme which mixes Greek mythology and mathematics
- Traditional roguelike ASCII graphics, or tiles/3D display
- 5 player character races with very distinct tactics, strengths and weaknesses
- 28 enemy types:
	- 10 basic types of elemental hydras (each of them has two special variations)
	- 8 types of special enemies
	- Harmless mushrooms for strategic advantage
- 28 types of equipment (not counting material and size/power variations)
- 15 weapon materials
- 18 types of non-equipment items
- 3 game geometries to choose
- 8 level topologies (including the Mobius strip and Klein bottle)
- 11 level generators
- 2 endings

- Website: [www.roguetemple.com/z/hydra][13]
- Developer: Zeno Rogue
- License: GNU GPL v2
- Version Number: 16.1

----------

![](http://www.linuxlinks.com/portal/content2/png/Brogue1.png)

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-Brogue.png)

Brogue is an open source Roguelike game for Mac OS X, Windows, Linux, iOS and Android.

Brogue is a direct descendant of Rogue, a dungeon crawling video game first developed by Michael Toy and Glenn Wichman around 1980. Unlike other popular modern roguelikes, Brogue favors simplicity over complexity, while trying to ensure that the interactions between components are interesting and varied.

The goal of the game is to travel to the 26th subterranean floor of the dungeon, retrieve the Amulet of Yendor and return with it to the surface. For the truly skillful who desire further challenge, depths below 26 contain three lumenstones each, items which confer an increased score upon victory.

Brogue is a challenging game, but still great fun to play. Try not to be disheartened by the difficulty of the game; with some application, Brogue will become very addictive.

Features include: 

- Favors simplicity over complexity
- User-friendly features
- Compared with Rogue, Brogue has a more sophisticated level generation
- XP and levelling system removed
- Traps, protecting items
- Additional monster types and magical items

- Website: [sites.google.com/site/broguegame][14]
- Authors: Brian Walker
- License: GNU Affero GPL
- Version Number: 1.7.3

--------------------------------------------------------------------------------

via: http://www.linuxlinks.com/article/201412031524381/RoguelikeGames.html

作者：Frazer Kline
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://crawl.develz.org/
[2]:http://www.bay12games.com/dwarves/index.html
[3]:http://www.adom.de/
[4]:http://te4.org/
[5]:http://en.cataclysmdda.com/
[6]:http://goblinhack.sourceforge.net/
[7]:https://github.com/goblinhack/goblinhack
[8]:http://www.slashem.org/
[9]:http://www.nethack.org/
[10]:http://www.asciisector.net/
[11]:http://rephial.org/
[12]:http://sourceforge.net/apps/trac/unnethack/
[13]:http://www.roguetemple.com/z/hydra/
[14]:https://sites.google.com/site/broguegame/